variables = {
	'Source Dataset' : [
		'nabird',
		'oxford_pets',
		'cub200',
		'caltech101',
		'stanford_dogs',
		'voc2007',
		'cifar10',
		'imagenet'
	],

	'Target Dataset' : [
		'cifar10',
		'oxford_pets',
		'cub200',
		'caltech101',
		'stanford_dogs',
		'nabird',
# 		'voc2007'  # Only some methods support multi-label
	],

	'Architecture': [
		'resnet50',
		'resnet18',
		'googlenet',
		'alexnet',
	]
}

num_classes = {
	'nabird': 555,
	'oxford_pets': 37,
	'cub200': 200,
	'caltech101': 101,
	'stanford_dogs': 120,
	'voc2007': 21,
	'cifar10': 10,
	'imagenet': 1000
}

dataset_images = {
    'nabird': 24633,
    'oxford_pets': 3669,
    'cub200': 5794,
    'caltech101': 2630,
    'stanford_dogs': 8580,
    'voc2007': 2501,
    'cifar10': 50000,
    'imagenet': 150000
}

model_layers = {
  'resnet50': 50,
  'resnet18': 18,
  'googlenet': 22,
  'alexnet': 8,
  'resnet101': 101
}

model_banks = [
	'controlled',
	'all'
]